I see that php5 compiles with fastcgi as the default. I am attempting to 
run lighttpd which gives the error;

(mod_fastcgi.c.1048) the fastcgi-backend /usr/local/bin/php failed to start: 
(mod_fastcgi.c.1052) child exited with status 0 /usr/local/bin/php 
(mod_fastcgi.c.1055) if you try do run PHP as FastCGI backend make sure you use 
the FastCGI enabled version.
You can find out if it is the right one by executing 'php -v' and it should 
display '(cgi-fcgi)' in the output, NOT (cgi) NOR (cli)
(mod_fastcgi.c.1060) If this is PHP on Gentoo add fastcgi to the USE flags 
(mod_fastcgi.c.1356) [ERROR]: spawning fcgi failed. 


"php -v", in my case;

PHP 5.1.6 (cli) (built: Sep 28 2006 14:43:48) (DEBUG)
Copyright (c) 1997-2006 The PHP Group
Zend Engine v2.1.0, Copyright (c) 1998-2006 Zend Technologies

the lighttpd log states that it should read fastcgi, and not cgi or
cli. Mine shows cli, but why would the default installation include
both cli -and- fastcgi if both could not run together?

_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to